summaryrefslogtreecommitdiffhomepage
path: root/build
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2011-01-13 21:48:38 +0000
committerJo-Philipp Wich <jow@openwrt.org>2011-01-13 21:48:38 +0000
commit6e59e510dd3bc5cb0bcdd3fc6293feef105a103e (patch)
treeca28d2ab65ae8e93c5cf438b5752c03b75457665 /build
parent4bbd85fe42686085af8d08f086b071e40fb26bf9 (diff)
build: add mkbasepot.sh, convenience script to rebuild base.pot (it sources multiple project parts)
Diffstat (limited to 'build')
-rwxr-xr-xbuild/mkbasepot.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/build/mkbasepot.sh b/build/mkbasepot.sh
new file mode 100755
index 000000000..48e85cad6
--- /dev/null
+++ b/build/mkbasepot.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+[ -d ./build ] || {
+ echo "Please execute as ./build/mkbasepot.sh" >&2
+ exit 1
+}
+
+echo -n "Updating po/templates/base.pot ... "
+
+./build/i18n-scan.pl \
+ libs/core/ libs/web/ \
+ modules/admin-core/ modules/admin-full/ \
+ themes/base/ themes/openwrt/ \
+> po/templates/base.pot
+
+echo "done"